2011年12月28日

[ubuntu-jp:3980] Re:「too many files open in system」で困っております。

> パッケージのバージョンは、EeePC-35(リークしたサーバ)、Na14-38、NP11-34
> (リークするクライアント)が「ubuntu5」。

apt-cache showだと正しいバージョンが取れない可能性があるので、
dpkg -l |grep nfs を代わりに使っていただくのが妥当だと思います。

apt-cache showとdpkg -lの結果が合致しているとすると、すでに
現象としてクライアント依存であることが確定しているので、これより

新しいバージョンで改善していないかを考えてみるのが第一弾に
なりそうです。

> [tk@xxxxx ~]$ apt-cache show nfs-common | grep name
> Filename: pool/main/n/nfs-utils/nfs-common_1.2.2-4ubuntu5_i386.deb
> Filename: pool/main/n/nfs-utils/nfs-common_1.2.2-4ubuntu5.1_i386.deb

この場合のバージョンは「1.2.2-4ubuntu5.1」と読むのが正しいです。

1.2.5-2ubuntu1(12.04開発版のバージョン)からchangelogを遡った
感触では、デスクリプタまわりのリークを直したらしい記述は見当たり
ません。

ただ、基本的にNFSv4(今入っているNFSはNFSv4でマウントします)だと
コードがこなれていないので、非常にろくでもない挙動を示すものだと
主観的には思っています。このあたりにも似たような記述がありますが。
http://serverfault.com/questions/235059/vfs-file-max-limit-1231582-reached

問題を起こさない方は8.10のように見えますし(これはこれでアップデート
したほうがよいと思いますがそれはともかく)、「問題を起こすクライアント」
でNFSv3指定でマウントしてみてどうなるか、というのが気になりました。


投稿者 xml-rpc : 2011年12月28日 08:48
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/107766
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。